Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.channels
Class CSkinSelector

    java.lang.Object
      org.jasig.portal.channels.BaseChannel
          org.jasig.portal.layout.channels.CSkinSelector

All Implemented Interfaces:
  IChannel, IPrivileged

    public class CSkinSelector

extends BaseChannel
implements IPrivileged

A channel for selecting skins.

Version:
  $Revision: 1.14.2.2 $
Author:
  Michael Ivanov, mvi@immagic.com

Field Summary
`private PortalControlStructures` | `controlStructures`
`private static org.apache.commons.logging.Log` | `log`
`private static java.lang.String` | `SKINS_PATH`
`private static java.lang.String` | `sslLocation`
`private static IUserLayoutStore` | `store`
`private IUserPreferencesManager` | `upm`

Fields inherited from class org.jasig.portal.channels.BaseChannel
`runtimeData, staticData`

Constructor Summary
`CSkinSelector()`

Method Summary
`void` | `renderXML(org.xml.sax.ContentHandler out)` Ask channel to render its content.
`private void` | `saveUserPreferences(UserPreferences userPrefs)`
`void` | `setPortalControlStructures(PortalControlStructures pcs)` Passes portal control structure to the channel.
`void` | `setRuntimeData(ChannelRuntimeData rd)` Passes ChannelRuntimeData to the channel.

Methods inherited from class org.jasig.portal.channels.BaseChannel
`getRuntimeProperties, receiveEvent, setStaticData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### SKINS_PATH

    private static final java.lang.String SKINS_PATH

See Also:
  Constant Field Values

### sslLocation

    private static final java.lang.String sslLocation

See Also:
  Constant Field Values

### controlStructures

    private PortalControlStructures controlStructures

### upm

    private IUserPreferencesManager upm

### store

    private static IUserLayoutStore store

Constructor Detail

### CSkinSelector

    public CSkinSelector()

Method Detail

### setPortalControlStructures

    public void setPortalControlStructures(PortalControlStructures pcs)
                                    throws PortalException

  Passes portal control structure to the channel.

  Specified by:
    `setPortalControlStructures` in interface `IPrivileged`
  Throws:
    `PortalException`
  See Also:
    `PortalControlStructures`

### setRuntimeData

    public void setRuntimeData(ChannelRuntimeData rd)
                        throws PortalException

  Description copied from interface: `IChannel`
  Passes ChannelRuntimeData to the channel. This function is called prior to the renderXML() call.

  Specified by:
    `setRuntimeData` in interface `IChannel`
  Overrides:
    `setRuntimeData` in class `BaseChannel`
  Parameters:
    `rd` - channel runtime data
  Throws:
    `PortalException`
  See Also:
    `ChannelRuntimeData`

### saveUserPreferences

    private void saveUserPreferences(UserPreferences userPrefs)
                              throws PortalException

  Throws:
    `PortalException`

### renderXML

    public void renderXML(org.xml.sax.ContentHandler out)
                   throws PortalException

  Description copied from interface: `IChannel`
  Ask channel to render its content.

  Specified by:
    `renderXML` in interface `IChannel`
  Overrides:
    `renderXML` in class `BaseChannel`
  Parameters:
    `out` - the SAX ContentHandler to output content to
  Throws:
    `PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD